Module tdlight.api
Package it.tdlight.jni

# Class TdApi.EditMessageCaption

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Message>
it.tdlight.jni.TdApi.EditMessageCaption

Enclosing class:
  TdApi

public static final class TdApi.EditMessageCaption extends TdApi.Function<TdApi.Message>
Edits the message content caption. Returns the edited message after the edit is completed on the server side.

Returns `Message`

## Field Summary

Fields
Modifier and Type
Field
Description
`TdApi.FormattedText`
`caption`
New message content caption; 0-GetOption("message_caption_length_max") characters; pass null to remove caption.
`long`
`chatId`
The chat the message belongs to.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
Identifier of the message.
`TdApi.ReplyMarkup`
`replyMarkup`
The new message reply markup; pass null if none; for bots only.

## Constructor Summary

Constructors
Constructor
Description
`EditMessageCaption()`
Edits the message content caption.
`EditMessageCaption(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.FormattedText caption)`
Edits the message content caption.
`EditMessageCaption(DataInput input)`
Edits the message content caption.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
The chat the message belongs to.

### messageId

public long messageId
Identifier of the message.

### replyMarkup

public TdApi.ReplyMarkup replyMarkup
The new message reply markup; pass null if none; for bots only.

### caption

public TdApi.FormattedText caption
New message content caption; 0-GetOption("message_caption_length_max") characters; pass null to remove caption.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### EditMessageCaption

public EditMessageCaption()
Edits the message content caption. Returns the edited message after the edit is completed on the server side.

Returns `Message`

### EditMessageCaption

public EditMessageCaption(long chatId, long messageId, TdApi.ReplyMarkup replyMarkup, TdApi.FormattedText caption)
Edits the message content caption. Returns the edited message after the edit is completed on the server side.

Returns `Message`

Parameters:
  `chatId` - long The chat the message belongs to.
  `messageId` - long Identifier of the message.
  `replyMarkup` - ReplyMarkup The new message reply markup; pass null if none; for bots only.
  `caption` - FormattedText New message content caption; 0-GetOption("message_caption_length_max") characters; pass null to remove caption.

### EditMessageCaption

public EditMessageCaption(DataInput input) throws IOException
Edits the message content caption. Returns the edited message after the edit is completed on the server side.

Returns `Message`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`